[Fusionforge-commits] FusionForge branch master updated. v6.0.5-1906-gff85ec6

Franck Villaume nerville at libremir.placard.fr.eu.org
Mon Jun 5 15:05:48 CEST 2017


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, master has been updated
       via  ff85ec6c2231a6cc20e7a79b4356c718e6c7a95e (commit)
       via  839c26a533306fb7fc3e09688bd30edab4da5033 (commit)
      from  4b322f6998ae3959b4f507dc7ee932f77635a4cb (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://scm.fusionforge.org/anonscm/gitweb/?p=fusionforge/fusionforge.git;a=commitdiff;h=ff85ec6c2231a6cc20e7a79b4356c718e6c7a95e

commit ff85ec6c2231a6cc20e7a79b4356c718e6c7a95e
Author: Franck Villaume <franck.villaume at trivialdev.com>
Date:   Mon Jun 5 13:05:42 2017 +0000

    prepare support for docker

diff --git a/src/plugins/scmgit/bin/install.sh b/src/plugins/scmgit/bin/install.sh
index ec0a832..0b7573d 100755
--- a/src/plugins/scmgit/bin/install.sh
+++ b/src/plugins/scmgit/bin/install.sh
@@ -29,7 +29,11 @@ case "$1" in
 		}
 		EOF
 	fi
-	service xinetd restart
+        if [ $is_docker -gt 0 ]; then
+            killall xinetd || true
+        else
+	    service xinetd restart
+        fi
 
 	# rsync access
 	if ! grep -q '^use chroot' /etc/rsyncd.conf 2>/dev/null; then
diff --git a/src/plugins/scmsvn/bin/install.sh b/src/plugins/scmsvn/bin/install.sh
index 833ce03..0d9c152 100755
--- a/src/plugins/scmsvn/bin/install.sh
+++ b/src/plugins/scmsvn/bin/install.sh
@@ -29,7 +29,11 @@ case "$1" in
 		}
 		EOF
 	fi
-	service xinetd restart
+        if [ $is_docker -gt 0 ]; then
+            killall xinetd || true
+        else
+	    service xinetd restart
+        fi
 
 	# rsync access
 	if ! grep -q '^use chroot' /etc/rsyncd.conf 2>/dev/null; then
diff --git a/src/post-install.d/common/plugin.sh b/src/post-install.d/common/plugin.sh
index 538bbaf..1d416d2 100755
--- a/src/post-install.d/common/plugin.sh
+++ b/src/post-install.d/common/plugin.sh
@@ -48,7 +48,11 @@ case "$2" in
 
 	# Restart Apache if new conffiles were added
 	if [ -d $source_path/plugins/$1/etc/httpd.conf.d/ ]; then
-	    service $apache_service reload >/dev/null || true
+            if [ $is_docker -gt 0 ]; then
+                killall httpd || true
+            else
+	        service $apache_service reload >/dev/null || true
+            fi
 	fi
 	;;
 
diff --git a/src/post-install.d/common/service.inc b/src/post-install.d/common/service.inc
index 7012300..322df06 100644
--- a/src/post-install.d/common/service.inc
+++ b/src/post-install.d/common/service.inc
@@ -35,3 +35,7 @@ fi
 # set -e
 # service idontexist start || echo OK
 # service cron restart && echo OK
+
+# detect the execution environment
+# are we running in docker container?
+is_docker=$(grep -c docker /proc/self/cgroup)

https://scm.fusionforge.org/anonscm/gitweb/?p=fusionforge/fusionforge.git;a=commitdiff;h=839c26a533306fb7fc3e09688bd30edab4da5033

commit 839c26a533306fb7fc3e09688bd30edab4da5033
Author: Franck Villaume <franck.villaume at trivialdev.com>
Date:   Mon Jun 5 12:53:29 2017 +0000

    fix plugin post-install: restart Apache httpd if new configuration files are provided

diff --git a/src/post-install.d/common/plugin.sh b/src/post-install.d/common/plugin.sh
index d916db1..538bbaf 100755
--- a/src/post-install.d/common/plugin.sh
+++ b/src/post-install.d/common/plugin.sh
@@ -47,7 +47,7 @@ case "$2" in
 	fi
 
 	# Restart Apache if new conffiles were added
-	if [ ! -d $source_path/plugins/$1/etc/httpd.conf.d/ ]; then
+	if [ -d $source_path/plugins/$1/etc/httpd.conf.d/ ]; then
 	    service $apache_service reload >/dev/null || true
 	fi
 	;;

-----------------------------------------------------------------------

Summary of changes:
 src/plugins/scmgit/bin/install.sh     | 6 +++++-
 src/plugins/scmsvn/bin/install.sh     | 6 +++++-
 src/post-install.d/common/plugin.sh   | 8 ++++++--
 src/post-install.d/common/service.inc | 4 ++++
 4 files changed, 20 insertions(+), 4 deletions(-)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list